# IceGrid::TemplateDescriptor

## Overview

### struct TemplateDescriptor

A template descriptor for server or service templates.

#### Used By

TemplateDescriptorDict

## Data Member Index

descriptor
  The template.
parameters
  The parameters required to instantiate the template.
parameterDefaults
  The parameters default values.

## Data Members

CommunicatorDescriptor descriptor;

  The template.

[ "java:type:java.util.LinkedList" ] ::Ice::StringSeq parameters;

  The parameters required to instantiate the template.

StringStringDict parameterDefaults;

  The parameters default values.